; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: Draw library contains procedures for drawing oprtations.
;
;  Target OS: KolibriOS
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________

lsEndCapRound = 0
lsEndCapSquare = 0
lsEndCapFlat   = 0

lsJoinRound = 0
lsJoinBevel = 0
lsJoinMiter = 0



proc DrawLine, .context, .x1, .y1, .x2, .y2
begin
        mov     ebx, [.x1]
        mov     ecx, [.y1]
        shl     ebx, 16
        shl     ecx, 16
        mov     bx, word [.x2]
        mov     cx, word [.y2]
        mov     edx, [.context]
        mov     edx, [edx+TContext.drawmode]
        return
endp




proc DrawFillRect, .context, .x, .y, .width, .height, .color
begin
        return
endp





proc Draw, .raster, .pDrawPoints
begin
        return
endp

